<template>
  <div class="avenir ma1">
    <div class="pa3 f2 lh-solid">Registre-se</div>
    <div class="ph7-l pv4">
      <div class="tl">Informe os seguintes dados para registrar-se:
      </div>
    </div>
    <form id="register_form" class="measure-ns center" @submit="onSubmit">
      <div v-for="f in fieldList" :key="f.id" class="tl">
        <dynamic-register-field :field="f"/>
      </div>
      <Button :text="'Registrar'" @click.native="addParticipant"/>
    </form>
  </div>
</template>

<style>
.wrapper {
  font-family: avenir-next;
}
</style>

<script>
import DynamicRegisterField from "~/components/DynamicRegisterField.vue"
import Button from "~/components/Button.vue"

export default {
  components: {
    DynamicRegisterField,
    Button
  },
  props: {
    fieldList: {
      type: Array,
      required: true
    }
  },
  data() {
    return {
      form: {
        placeholder: "replace this with the register-form contents"
      }
    }
  },
  methods: {
    /*onSubmit(evt) {
      evt.preventDefault()
      console.log(this.form)
    },*/
    addParticipant(evt) {
      evt.preventDefault()
      console.log(this.form)
    }
  }
}
</script>
